<?php

	include("../conexion.php");
	set_time_limit(800);

	if (substr($_FILES['excel']['name'],-3)=="csv")
	{
		$fecha		= date("Y-m-d");
		$carpeta 	= "tmp_excel/";
		$excel  	= $fecha."-".$_FILES['excel']['name'];

		move_uploaded_file($_FILES['excel']['tmp_name'], "$carpeta$excel");
		
		$row = 1;

		$fp = fopen ("$carpeta$excel","r");

		//fgetcsv. obtiene los valores que estan en el csv y los extrae.

		while ($data = fgetcsv ($fp, 3000, ";"))
		{
			//si la linea es igual a 1 no guardamos por que serian los titulos de la hoja del excel.
			if ($row!=1)
			{

				$num = count($data);

			echo	$insertar="INSERT INTO articulos (art_id,art_referencia,art_barras,art_nombre,art_precio_costo,art_pvp,art_iva,art_tipo_imp,art_estado,art_tipo,familias_fam_id,proveedor_pro_id,marca_mar_id,ubicacion_ubi_id,	art_venta_min,empresa)
			values('$data[0]','$data[1]','$data[1]','$data[2]','$data[3]','$data[8]','$data[4]','1','Activo','articulo','$data[5]','$data[6]','70','7','1','5')";
					$sql = mysqli_query($con, $insertar);

			echo	$insertar1="INSERT INTO articulos_presentacion (pres_art_id,pres_unidad,pres_cantidad,pres_precio,pres_factor,pres_defecto) values('$data[0]','UND','1','$data[8]','M','si')";
					$sql1 = mysqli_query($con, $insertar1);

			echo	$insertar3="INSERT INTO articulos_has_bodegas (articulos_art_id,art_cantidad,art_minimo,atributo1,atributo2,bodegas,sucursal,empresa) values('$data[0]','0','1','0','0','5','5','5')";
					$sql1 = mysqli_query($con, $insertar3);

			echo	$insertar2="INSERT INTO precio (pre_precio,tarifas_tar_id,articulos_art_id,empresa) values('$data[8]','16','$data[0]','5')";
					$sql2 = mysqli_query($con, $insertar2);

			}

		$row++;

		}

		fclose ($fp);

		echo "<div>La importacion de archivo subio satisfactoriamente</div >";
		
		exit;

	}

?>